Bug 253422 - Xorg + vanilla 2.6.22.3+ fails to start
Xorg + vanilla 2.6.22.3+ fails to start
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-19 03:38 EDT by George Billios
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 14:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George Billios 2007-08-19 03:38:00 EDT
Description of problem:
I used till now a vanilla 2.6.21.4 kernel which works just fine and tried to
upgrade to 2.6.22.3 but now Xorg fails to start with the following error:


Backtrace:
0: X(xf86SigHandler+0x81) [0x80c2d21]
1: [0xb7fc0420]
2: X(NumMotionEvents+0x1e) [0x807f83e]
3: X(main+0x6bf) [0x807195f]
4: /lib/libc.so.6(__libc_start_main+0xe0) [0x41b7cf70]
5: X(FontFileCompleteXLFD+0x1e9) [0x8070a21]

Fatal server error:
Caught signal 11.  Server aborting

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.3.0.0-9.fc7
xorg-x11-drv-nv-2.0.96-2.fc7

How reproducible:
always with 2.6.22.3 and 2.6.23-rc3 also with the nvidia driver

Steps to Reproduce:
1.Compile vanilla 2.6.22.3
2.Start xorg
3.
  
Actual results:
The above crash

Expected results:
To start Xorg normally

Additional info:

I think this is a bigger problem and not only for the nv drivers, as I said also
happens with nvidia driver. Is there any patch for the fedora kernel that solves
this cause it only happens with the vanilla kernel.
Comment 1 George Billios 2007-08-19 04:59:55 EDT
I found the solution, it seems that after the kernel update the mouse input
device changed from /dev/input/event2 to /dev/input/event1 and the xorg through
this error which is totally unrelated... I assume this should change and give
another more descriptive error and not just crash because the input device
changed, but this has to be reported upstream as I will do. 

Please close this bug. 

Regards,
George

Note You need to log in before you can comment on or make changes to this bug.